<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "mybatis-3-mapper.dtd" >
<mapper namespace="com.pcloud.book.keywords.dao.impl.SelfRobotKeywordReplyTemplateDaoImpl">
    <resultMap id="BaseResultMap" type="com.pcloud.book.keywords.entity.SelfRobotKeywordReplyTemplate">
        <id column="id" property="id" jdbcType="BIGINT"/>
        <result column="reply_content_template" property="replyContentTemplate" jdbcType="VARCHAR"/>
        <result column="status" property="status" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        id, reply_content_template, status
    </sql>

    <select id="getList" resultMap="BaseResultMap">
        select <include refid="Base_Column_List"/>
        from self_robot_keyword_reply_template
    </select>

</mapper>